package org.nl.acs.device_driver.basedriver.hailiang_smart_plc_test;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 三工位
 */
@Service
public class HailiangSmartplcTestDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "hailiang_smart_plc_test";
    }

    @Override
    public String getDriverName() {
        return "永裕共挤线smart200";
    }

    @Override
    public String getDriverDescription() {
        return "永裕共挤线smart200";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new HailiangSmartplcTestDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return HailiangSmartplcTestDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
